## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Many test dependencies still missing
%bcond_with tests

Name:           python-django-q2
Version:        1.7.2
Release:        %autorelease
Summary:        A multiprocessing distributed task queue for Django

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://django-q2.readthedocs.org
Source:         %{pypi_source django_q2}
# without this CHANGELOG.md gets copied to site-packages
Patch:          django-q2-rm-changelog.diff

BuildArch:      noarch
BuildRequires:  python3-devel
%if %{without tests}
# still need this for import checks
BuildRequires:  python3dist(django-redis)
%endif


%global _description %{expand:
Django Q2 is a native Django task queue, scheduler and worker application using
Python multiprocessing.}

%description %_description

%package -n     python3-django-q2
Summary:        %{summary}
# django-q stalled at 1.3.9
Obsoletes:      python3-django-q < 1.3.10

%description -n python3-django-q2 %_description


%prep
%autosetup -p1 -n django_q2-%{version}


%generate_buildrequires
%if %{with tests}
%pyproject_buildrequires -x testing
%else
%pyproject_buildrequires
%endif


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files django_q


%check
export DJANGO_SETTINGS_MODULE=django_q.tests.settings
%pyproject_check_import -e django_q.admin -e django_q.models -e 'django_q.brokers.*' -e 'django_q.tests.*'


%files -n python3-django-q2 -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.md README.rst


%changelog
## START: Generated by rpmautospec
* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 1.7.2-3
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Sep 17 2024 Michel Lind <salimma@fedoraproject.org> - 1.7.2-1
- Initial package; Fixes: RHBZ#2312867
## END: Generated by rpmautospec
